Skip to main content
GET
/
users
/
{user_id}
/
exchange-limits
Get user exchange limits
curl --request GET \
  --url https://api.exchange.coinbase.com/users/{user_id}/exchange-limits \
  --header 'cb-access-key: <api-key>' \
  --header 'cb-access-passphrase: <api-key>' \
  --header 'cb-access-sign: <api-key>' \
  --header 'cb-access-timestamp: <api-key>'
import requests

url = "https://api.exchange.coinbase.com/users/{user_id}/exchange-limits"

headers = {
"cb-access-key": "<api-key>",
"cb-access-passphrase": "<api-key>",
"cb-access-sign": "<api-key>",
"cb-access-timestamp": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'cb-access-key': '<api-key>',
'cb-access-passphrase': '<api-key>',
'cb-access-sign': '<api-key>',
'cb-access-timestamp': '<api-key>'
}
};

fetch('https://api.exchange.coinbase.com/users/{user_id}/exchange-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit_currency": "USD",
  "transfer_limits": {
    "exchange_withdraw": {
      "MANA": {
        "max": "391282.23187385",
        "remaining": "391282.23187385",
        "period_in_days": 7
      },
      "ALGO": {
        "max": "59844.404548",
        "remaining": "59844.404548",
        "period_in_days": 7
      },
      "ATOM": {
        "max": "4624.277457",
        "remaining": "4624.277457",
        "period_in_days": 7
      },
      "KNC": {
        "max": "21584.28663933",
        "remaining": "21584.28663933",
        "period_in_days": 7
      }
    }
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
This request returns information on your payment method transfer limits, as well as buy/sell limits per currency.

Authorizations

cb-access-key
string
header
required
cb-access-passphrase
string
header
required
cb-access-sign
string
header
required
cb-access-timestamp
string
header
required

Path Parameters

user_id
string
required

Response

transfer_limits
object
required
Example:
{
"exchange_withdraw": {
"MANA": {
"max": "391282.23187385",
"remaining": "391282.23187385",
"period_in_days": 7
},
"ALGO": {
"max": "59844.404548",
"remaining": "59844.404548",
"period_in_days": 7
},
"ATOM": {
"max": "4624.277457",
"remaining": "4624.277457",
"period_in_days": 7
},
"KNC": {
"max": "21584.28663933",
"remaining": "21584.28663933",
"period_in_days": 7
}
}
}
limit_currency
string
required